Subject: [EDUC] Re : Enseignement pérenne de l'informatique : QUOI, qui et quand
From: [email-masked]
To: Martin Quinson <[email-masked]>
Cc: [email-masked]
Date: Mon, 28 Jul 2014 15:50:47 +0200 (CEST)
List-Id: <educ.april.org>

----- Martin Quinson <[email-masked]> a écrit :

> La pression actuelle est certainement sur l'école primaire. Alors j'ai
> rédigé le texte suivant. J'ai probablement tord, et j'avais plutôt
> prévu de mener une expérimentation pratique dans un environnement
> protégé avant de faire un tel coming out. Mais bon, le ministre a dit
> qu'il fallait du contenu immédiatement, et je n'ai pas mieux en stock.
> 
> http://www.loria.fr/~quinson/blog/2014/0726/Informatique_en_primaire_comment_faire/
> 
> J'espère que vous aurez un avis critique sur ce texte, rédigé trop
> vite, bourré d'a priori, de jugements hatifs et de suppositions
> infondées. J'espère encore plus que vous aussi écrirez des textes sur
> vos expérimentations en cours ou passées, pour qu'on puisse apprendre
> tous ensemble ce qu'il convient de faire pour promouvoir la culture du
> libre dans notre société, par exemple au travers d'un enseignement
> pérenne de l'informatique à l'école.

Bonjour,

Je réponds à ce message, et aux autres ensuite si le temps cet après-midi me 
le permet.

En premier lieu une impression globale : un texte libérateur, authentique,
 et excellent dont la démarche pédagogique - excuse-moi de le dire - n'est
pas si éloignée de la démarche de projet technologique...

Juste 3 points.

a) Le premier ultra mineur : écrire GNU/Linux et non pas Linux :)

b) Le seconde sur la littératie numérique. Un débat s'impose car bien sûr
il est hors de question de s'en tenir aux définitions étroites et réductrices
de l'OCDE...

c) Un exemple scolaire pour ce qui concerne les activités dites débranchées : 
le jeu du téléphone pratiqué par l'une des collègues de math de mon collège, 
dans le cadre d'une liaison CM2/sixième.

Un enfant doit donner des instructions orales à un autre, par téléphone, 
afin qu'il puisse dessiner sur un tableau une figure géométrique.

Et comme souvent, en situation scolaire, l'objectif n'est pas purement,
voire pas du tout "informatique". Même si la démarche peut ensuite tendre
vers un atelier de travaux dirigés de dessin de figures géométriques
avec par exemple scratch.

Là se joue à mon humble avis le premier hiatus entre les membres du
groupe ITIC-EPI-SIF dont l'ambition est de bâtir un enseignement
de la science informatique en tant que telle mais qui, coupés de l'école,
peuvent perdre de vue les réalités du terrain d'avec les problématiques
spécifiques des enseignants - dont beaucoup reviennent des zuzages des
zoutils informatiques qui ne remédiatisent en rien- et qui pourraient
s'ouvrir à quelque chose de plus intelligent, comme la programmation,
à condition qu'elle se mette au service de leur enseignement, par exemple
ici : la géométrie.

D'ailleurs lorsque ma collègue de math m'a parlé de ce jeu du téléphone,
pas un seul instant elle avait en tête l'idée de faire un cours
informatique. Il suffit de rajouter en deuxième étape, un atelier de
travaux dirigés branché pour que se réalisent les deux aspects dont
tu parles dans ton article.

Pour autant, pour des raisons que j'ai du mal à expliquer, je considère
que les activités d'apprentissage de la programmation sont l'exemple
même d'activités où le périscolaire, plus ludique, moins sous la pression
viendrait admirablement compléter quelques heures annuelles d'initiation
à la science informatique en tant que telle, inscrite au cursus.

Mais pour pouvoir attirer les enseignants, des formations obligatoires
sans qu'ils se sentent impliqués provoqueraient des effets de bord,
il faut partir de leurs préoccupations. Faire comme tu proposes de 
le faire avec les enfants.

Quand j'ai montré les propositions de l'EPI/SIF pour le collège à mes collègues
de lettres, ils ont bondi au plafond. Par exemple, l'exemple proposé à
la modélisation avec les noms communs écrits au pluriel.

« Un élève qui écrit, par exemple, un programme qui permet de mettre un nom 
commun au pluriel, exprime sous la forme d'un algorithme formulé dans un langage 
formel un ensemble de règles de grammaire, qui indiquent quels mots prennent 
un « s » au pluriel, quels mots prennent un « x », quels mots sont invariables, 
etc. Il apprend ainsi à utiliser un langage formel pour décrire un
phénomène : il apprend à modéliser. ».

Esquisse d'un programme d'informatique pour le Collège, Société informatique de France
http://www.societe-informatique-de-france.fr/wp-content/uploads/2014/01/2014-01-CSP-programme-informatique-college.pdf

Non pas qu'ils rejetaient la notion de langage formel pour apprendre
à modéliser. Les profs de Lettres par exemple, sont à la fois professeurs 
d'une discipline artistique en ce qu'ils s'inscrivent dans une culture
d'amateur de (pour rependre le discours sur l'amateur de) de Bernard Stiegler
à travers l'éveil au goût pour la littérature, le théâtre, la poésie, mais
à travers la grammaire leur discipline s'approche aussi d'une logique
formelle où les concepts doivent être précis.

Mais, m'ont-ils tous fait observer, encore faudrait-il que l'enfant connaisse
les règles pour mettre les mots au pluriel.

Toute modélisation implique au minimum une mise en relation entre deux
mondes de connaissances. L'informatique, la programmation, introduit donc
un degré de complexité supplémentaire.

Dans  Analyse et modélisation de l'apprentissage des notions de l'énergie 
dans l'environnement "CHENE"1 », une équipe de chercheurs en Physique de 
l'École Normale Supérieure de Lyon relève : 

« La modélisation est une activité fondamentale dans les sciences (en particulier 
en physique) qui nécessite la mise en relation de deux "mondes" de connaissances, 
l'un relatif à la théorie et ses modèles et l'autre au monde réel. Cette activité 
pose des difficultés spécifiques pour les apprenants car, bien qu'ils possèdent 
des connaissances développées au sein de chaque "monde", ils peuvent difficilement 
établir des relations entre les deux. ».
Réf : http://icar.univ-lyon2.fr/gric3/recherche/CR/CR-8-95.html

J'arrête là pour le moment. 

La suite du débat peut être ce soir. 

Librement,
Amicalement,
Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ